﻿// <auto-generated />
using System;
using Coscine.Api.Core.Repository;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace Coscine.Api.Migrations
{
    [DbContext(typeof(RepositoryContext))]
    partial class RepositoryContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "8.0.10")
                .HasAnnotation("Proxies:ChangeTracking", false)
                .HasAnnotation("Proxies:CheckEquality", false)
                .HasAnnotation("Proxies:LazyLoading", true)
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ActivatedFeature", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("FeatureId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("FeatureId");

                    b.HasIndex("ProjectId");

                    b.ToTable("ActivatedFeatures");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ActivityLog", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("ActionName")
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)")
                        .HasDefaultValue("NA");

                    b.Property<DateTime>("ActivityTimestamp")
                        .HasColumnType("datetime2");

                    b.Property<string>("ApiPath")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<string>("ControllerName")
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)")
                        .HasDefaultValue("NA");

                    b.Property<string>("HttpAction")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(10)
                        .HasColumnType("nvarchar(10)")
                        .HasDefaultValue("NA");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("ActivityLogs");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ApiToken", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<DateTime>("Expiration")
                        .HasColumnType("datetime");

                    b.Property<DateTime>("IssuedAt")
                        .HasColumnType("datetime");

                    b.Property<string>("Name")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("ApiTokens");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ContactChange", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("ConfirmationToken")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<DateTime?>("EditDate")
                        .HasColumnType("datetime");

                    b.Property<string>("NewEmail")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("UserId");

                    b.ToTable("ContactChange", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Discipline", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayNameDe")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("DisplayNameEn")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Url")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("Disciplines");

                    b.HasData(
                        new
                        {
                            Id = new Guid("ffcf2e27-28fa-48fd-981d-095a63db39e8"),
                            DisplayNameDe = "Rechtswissenschaften 113",
                            DisplayNameEn = "Jurisprudence 113",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=113"
                        },
                        new
                        {
                            Id = new Guid("8bc6dd9e-046f-4d5c-96b5-105740ed32a0"),
                            DisplayNameDe = "Geochemie, Mineralogie und Kristallographie 316",
                            DisplayNameEn = "Geochemistry, Mineralogy and Crystallography 316",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=316"
                        },
                        new
                        {
                            Id = new Guid("bb6be7bc-1dc4-4d88-95cf-11bcd3ae57b7"),
                            DisplayNameDe = "Optik, Quantenoptik und Physik der Atome, Moleküle und Plasmen 308",
                            DisplayNameEn = "Optics, Quantum Optics and Physics of Atoms, Molecules and Plasmas 308",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=308"
                        },
                        new
                        {
                            Id = new Guid("e61c76c1-5ee4-43a3-b740-19a673c4ce64"),
                            DisplayNameDe = "Materialwissenschaft 406",
                            DisplayNameEn = "Materials Science 406",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=406"
                        },
                        new
                        {
                            Id = new Guid("187fd242-9347-46ad-a43b-1d383d700849"),
                            DisplayNameDe = "Bauwesen und Architektur 410",
                            DisplayNameEn = "Construction Engineering and Architecture 410",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=410"
                        },
                        new
                        {
                            Id = new Guid("ba3bd5af-a490-4102-b925-1fa94708263f"),
                            DisplayNameDe = "Physikalische und Theoretische Chemie 303",
                            DisplayNameEn = "Physical and Theoretical Chemistry 303",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=303"
                        },
                        new
                        {
                            Id = new Guid("d5eabb9e-e3ab-41ad-80f9-2cf2d25fd4c1"),
                            DisplayNameDe = "Werkstofftechnik 405",
                            DisplayNameEn = "Materials Engineering 405",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=405"
                        },
                        new
                        {
                            Id = new Guid("86304353-4b24-4746-beaf-2f6e7bdfab18"),
                            DisplayNameDe = "Wärmeenergietechnik, Thermische Maschinen, Strömungsmechanik 404",
                            DisplayNameEn = "Heat Energy Technology, Thermal Machines, Fluid Mechanics 404",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=404"
                        },
                        new
                        {
                            Id = new Guid("cfd6b656-f4ba-48c6-b5d8-2f98a7b60d1f"),
                            DisplayNameDe = "Informatik 409",
                            DisplayNameEn = "Computer Science 409",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=409"
                        },
                        new
                        {
                            Id = new Guid("86454a0c-40ab-4a41-9e5e-3694a0ce0580"),
                            DisplayNameDe = "Medizin 205",
                            DisplayNameEn = "Medicine 205",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=205"
                        },
                        new
                        {
                            Id = new Guid("8afa849a-1cb2-48c6-91fd-397c481ff624"),
                            DisplayNameDe = "Sprachwissenschaften 104",
                            DisplayNameEn = "Linguistics 104",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=104"
                        },
                        new
                        {
                            Id = new Guid("64eb5f3c-533d-4b77-b7e0-3afeaa72d315"),
                            DisplayNameDe = "Systemtechnik 407",
                            DisplayNameEn = "Systems Engineering 407",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=407"
                        },
                        new
                        {
                            Id = new Guid("b4250311-9995-4743-be14-3b1b34ba5392"),
                            DisplayNameDe = "Astrophysik und Astronomie 311",
                            DisplayNameEn = "Astrophysics and Astronomy 311",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=311"
                        },
                        new
                        {
                            Id = new Guid("34e51e82-bc4a-466e-8649-3c27e45c94d6"),
                            DisplayNameDe = "Polymerforschung 306",
                            DisplayNameEn = "Polymer Research 306",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=306"
                        },
                        new
                        {
                            Id = new Guid("d9db2d55-bef5-4c2d-839f-45627ed88747"),
                            DisplayNameDe = "Mechanik und Konstruktiver Maschinenbau 402",
                            DisplayNameEn = "Mechanics and Constructive Mechanical Engineering 402",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=402"
                        },
                        new
                        {
                            Id = new Guid("83c9306c-f985-4f13-84e3-460cf69901ef"),
                            DisplayNameDe = "Sozial- und Kulturanthropologie, Außereuropäische Kulturen, Judaistik und Religionswissenschaft 106",
                            DisplayNameEn = "Social and Cultural Anthropology, Non-European Cultures, Jewish Studies and Religious Studies 106",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=106"
                        },
                        new
                        {
                            Id = new Guid("01192bca-1804-4750-9696-464b94fd20e3"),
                            DisplayNameDe = "Alte Kulturen 101",
                            DisplayNameEn = "Ancient Cultures 101",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=101"
                        },
                        new
                        {
                            Id = new Guid("fb170c05-9b63-472a-8851-4d22ef80622c"),
                            DisplayNameDe = "Psychologie 110",
                            DisplayNameEn = "Psychology 110",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=110"
                        },
                        new
                        {
                            Id = new Guid("73483467-afc7-4af8-8e94-5401a96ce5df"),
                            DisplayNameDe = "Geographie 317",
                            DisplayNameEn = "Geography 317",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=317"
                        },
                        new
                        {
                            Id = new Guid("4d03241b-587a-4cdf-b6ac-58ed14477a0a"),
                            DisplayNameDe = "Pflanzenwissenschaften 202",
                            DisplayNameEn = "Plant Sciences 202",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=202"
                        },
                        new
                        {
                            Id = new Guid("ed1e8854-8cda-4357-b9fd-65144a6208e1"),
                            DisplayNameDe = "Mathematik 312",
                            DisplayNameEn = "Mathematics 312",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=312"
                        },
                        new
                        {
                            Id = new Guid("bbcaadec-501b-491b-90e5-6bd814151b31"),
                            DisplayNameDe = "Statistische Physik, Weiche Materie, Biologische Physik, Nichtlineare Dynamik 310",
                            DisplayNameEn = "Statistical Physics, Soft Matter, Biological Physics, Nonlinear Dynamics 310",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=310"
                        },
                        new
                        {
                            Id = new Guid("801564c8-ac8e-42e9-8ff5-6ca919cc9786"),
                            DisplayNameDe = "Grundlagen der Biologie und Medizin 201",
                            DisplayNameEn = "Basic Research in Biology and Medicine 201",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=201"
                        },
                        new
                        {
                            Id = new Guid("20dbc09f-9304-44eb-9f9f-7636536d5fca"),
                            DisplayNameDe = "Chemische Festkörper- und Oberflächenforschung 302",
                            DisplayNameEn = "Chemical Solid State and Surface Research 302",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=302"
                        },
                        new
                        {
                            Id = new Guid("9cbb9163-9f09-4aac-95b2-776374c856d0"),
                            DisplayNameDe = "Zoologie 203",
                            DisplayNameEn = "Zoology 203",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=203"
                        },
                        new
                        {
                            Id = new Guid("e2cde3d3-0966-4832-a482-7f5a9a3e15a1"),
                            DisplayNameDe = "Verfahrenstechnik, Technische Chemie 403",
                            DisplayNameEn = "Process Engineering, Technical Chemistry 403",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=403"
                        },
                        new
                        {
                            Id = new Guid("cdf74163-3895-4307-b6bd-800d94fdfdac"),
                            DisplayNameDe = "Atmosphären-, Meeres- und Klimaforschung 313",
                            DisplayNameEn = "Atmospheric Science, Oceanography and Climate Research 313",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=313"
                        },
                        new
                        {
                            Id = new Guid("ebb0d09a-0b2d-4737-ba2f-85f9dd45d4dd"),
                            DisplayNameDe = "Theologie 107",
                            DisplayNameEn = "Theology 107",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=107"
                        },
                        new
                        {
                            Id = new Guid("2b09f6ce-8483-4c53-bd73-860317c11ab5"),
                            DisplayNameDe = "Geschichtswissenschaften 102",
                            DisplayNameEn = "History 102",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=102"
                        },
                        new
                        {
                            Id = new Guid("9a6f509f-439b-4664-89ec-92a5e09845f9"),
                            DisplayNameDe = "Wasserforschung 318",
                            DisplayNameEn = "Water Research 318",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=318"
                        },
                        new
                        {
                            Id = new Guid("dc4194d3-9e4b-45a2-8484-93314069339a"),
                            DisplayNameDe = "Teilchen, Kerne und Felder 309",
                            DisplayNameEn = "Particles, Nuclei and Fields 309",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=309"
                        },
                        new
                        {
                            Id = new Guid("45ed6c72-166e-4358-bddf-95ec9feb792e"),
                            DisplayNameDe = "Biologische Chemie und Lebensmittelchemie 305",
                            DisplayNameEn = "Biological Chemistry and Food Chemistry 305",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=305"
                        },
                        new
                        {
                            Id = new Guid("9739635d-8103-4729-889f-98954f841053"),
                            DisplayNameDe = "Produktionstechnik 401",
                            DisplayNameEn = "Production Technology 401",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=401"
                        },
                        new
                        {
                            Id = new Guid("b5d7cdf2-b757-4be2-973f-9c922d399b89"),
                            DisplayNameDe = "Agrar-, Forstwissenschaften und Tiermedizin 207",
                            DisplayNameEn = "Agriculture, Forestry and Veterinary Medicine 207",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=207"
                        },
                        new
                        {
                            Id = new Guid("a61f2ac4-3443-4a76-8df6-9f3ff95ea18c"),
                            DisplayNameDe = "Mikrobiologie, Virologie und Immunologie 204",
                            DisplayNameEn = "Microbiology, Virology and Immunology 204",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=204"
                        },
                        new
                        {
                            Id = new Guid("ff07eeae-e133-414c-aeaa-a1e8c9188f05"),
                            DisplayNameDe = "Wirtschaftswissenschaften 112",
                            DisplayNameEn = "Economics 112",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=112"
                        },
                        new
                        {
                            Id = new Guid("69d0d1df-6d4a-4ac9-89ec-b82cf95c9295"),
                            DisplayNameDe = "Neurowissenschaft 206",
                            DisplayNameEn = "Neurosciences 206",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=206"
                        },
                        new
                        {
                            Id = new Guid("18cfd5a8-7b5e-4a77-9417-bb1b31fd0b60"),
                            DisplayNameDe = "Elektrotechnik und Informationstechnik 408",
                            DisplayNameEn = "Electrical Engineering and Information Technology 408",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=408"
                        },
                        new
                        {
                            Id = new Guid("6809a857-494c-4202-ab58-c649c43d10bd"),
                            DisplayNameDe = "Geophysik und Geodäsie 315",
                            DisplayNameEn = "Geophysics and Geodesy 315",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=315"
                        },
                        new
                        {
                            Id = new Guid("60119210-390d-4a36-9d09-c821c3612a4e"),
                            DisplayNameDe = "Molekülchemie 301",
                            DisplayNameEn = "Molecular Chemistry 301",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=301"
                        },
                        new
                        {
                            Id = new Guid("1a2bcb3b-969b-402e-aba1-ce83e8bc5035"),
                            DisplayNameDe = "Sozialwissenschaften 111",
                            DisplayNameEn = "Social Sciences 111",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=111"
                        },
                        new
                        {
                            Id = new Guid("11c3fcb3-8004-4168-aaa5-d0c06f10faac"),
                            DisplayNameDe = "Erziehungswissenschaft und Bildungsforschung 109",
                            DisplayNameEn = "Educational Research 109",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=109"
                        },
                        new
                        {
                            Id = new Guid("d3f3e972-515d-4a99-a633-d31c984e959c"),
                            DisplayNameDe = "Physik der kondensierten Materie 307",
                            DisplayNameEn = "Condensed Matter Physics 307",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=307"
                        },
                        new
                        {
                            Id = new Guid("acb1c755-232f-4143-815f-d78fcea202a9"),
                            DisplayNameDe = "Literaturwissenschaft 105",
                            DisplayNameEn = "Literary Studies 105",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=105"
                        },
                        new
                        {
                            Id = new Guid("4ff1833e-d2f3-41f2-bffa-db1f0ab661fc"),
                            DisplayNameDe = "Philosophie 108",
                            DisplayNameEn = "Philosophy 108",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=108"
                        },
                        new
                        {
                            Id = new Guid("dbae6f72-0596-40f3-9246-e4f1e1f9d79d"),
                            DisplayNameDe = "Geologie und Paläontologie 314",
                            DisplayNameEn = "Geology and Palaeontology 314",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=314"
                        },
                        new
                        {
                            Id = new Guid("338c270b-6613-42e0-be9f-e71c45bfd83d"),
                            DisplayNameDe = "Analytik, Methodenentwicklung (Chemie) 304",
                            DisplayNameEn = "Analytical Chemistry, Method Development (Chemistry) 304",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=304"
                        },
                        new
                        {
                            Id = new Guid("77f8990d-4053-4c35-bc48-f7402e7324b8"),
                            DisplayNameDe = "Kunst-, Musik-, Theater- und Medienwissenschaften 103",
                            DisplayNameEn = "Fine Arts, Music, Theatre and Media Studies 103",
                            Url = "http://www.dfg.de/dfg_profil/gremien/fachkollegien/liste/index.jsp?id=103"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ExternalAuthenticator", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id");

                    b.ToTable("ExternalAuthenticators");

                    b.HasData(
                        new
                        {
                            Id = new Guid("64509960-17a6-4ed6-a54e-0833ad5453d1"),
                            DisplayName = "Shibboleth"
                        },
                        new
                        {
                            Id = new Guid("f383f83c-26cb-47eb-80c8-639ed05bd0de"),
                            DisplayName = "ORCiD"
                        },
                        new
                        {
                            Id = new Guid("4043104a-52bd-4dfd-9e6b-d818e2ea0094"),
                            DisplayName = "GitLab RWTH"
                        },
                        new
                        {
                            Id = new Guid("3a1e7185-0328-47ed-afd7-a4ffd7f03a79"),
                            DisplayName = "NFDI4Ing AAI"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ExternalId", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("ExternalAuthenticatorId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("ExternalId1")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)")
                        .HasColumnName("ExternalId");

                    b.Property<string>("Organization")
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("ExternalAuthenticatorId");

                    b.HasIndex("UserId");

                    b.ToTable("ExternalIds");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Feature", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplaynameDe")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("DisplaynameEn")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SharepointId")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("Features");

                    b.HasData(
                        new
                        {
                            Id = new Guid("6589db7b-fe26-4739-9a92-3e3ad86c3a69"),
                            DisplaynameDe = "Dokumente",
                            DisplaynameEn = "Documents",
                            SharepointId = "MSOZoneCell_WebPartWPQ3"
                        },
                        new
                        {
                            Id = new Guid("d43e457f-a35f-43a3-8bdb-543048e6f87c"),
                            DisplaynameDe = "Discussion Board",
                            DisplaynameEn = "Discussion Board",
                            SharepointId = "MSOZoneCell_WebPartWPQ2"
                        },
                        new
                        {
                            Id = new Guid("1e237667-34ba-4889-bf12-d56eea266341"),
                            DisplaynameDe = "Announcement Board",
                            DisplaynameEn = "Announcement Board",
                            SharepointId = "MSOZoneCell_WebPartWPQ4"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.GitlabResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("Branch")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<int>("GitlabProjectId")
                        .HasColumnType("int");

                    b.Property<string>("ProjectAccessToken")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("RepoUrl")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<bool>("TosAccepted")
                        .HasColumnType("bit");

                    b.HasKey("Id");

                    b.ToTable("GitlabResourceType", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Group", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.HasKey("Id");

                    b.ToTable("Groups");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.GroupMembership", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("GroupId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("GroupId");

                    b.HasIndex("UserId");

                    b.ToTable("GroupMemberships");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Invitation", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<DateTime>("Expiration")
                        .HasColumnType("datetime");

                    b.Property<string>("InviteeEmail")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid>("Issuer")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("Project")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("Role")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("Token")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.HasKey("Id");

                    b.HasIndex("Issuer");

                    b.HasIndex("Project");

                    b.HasIndex("Role");

                    b.ToTable("Invitations");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Language", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("Abbreviation")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id");

                    b.ToTable("Languages");

                    b.HasData(
                        new
                        {
                            Id = new Guid("922c0fef-d9ab-4f36-bd77-eed0384d19b9"),
                            Abbreviation = "de",
                            DisplayName = "Deutsch"
                        },
                        new
                        {
                            Id = new Guid("781823ea-01df-4566-aa58-fb44b5cc1d4d"),
                            Abbreviation = "en",
                            DisplayName = "English"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.License", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Url")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("Licenses");

                    b.HasData(
                        new
                        {
                            Id = new Guid("1cbbe05e-4dd8-4933-9b32-03dba59caa5d"),
                            DisplayName = "Mozilla Public License 2.0",
                            Url = "http://spdx.org/licenses/MPL-2.0"
                        },
                        new
                        {
                            Id = new Guid("48593a5b-1dce-40e2-a269-0588c59eeb36"),
                            DisplayName = "CC BY NC 4.0 (Attribution-NonCommercial)",
                            Url = "http://spdx.org/licenses/CC-BY-NC-4.0"
                        },
                        new
                        {
                            Id = new Guid("66ebfa84-6874-49ab-8517-3b92814ef28c"),
                            DisplayName = "CC BY 4.0 (Attribution)",
                            Url = "http://spdx.org/licenses/CC-BY-4.0"
                        },
                        new
                        {
                            Id = new Guid("569d79fe-7ac4-4cb0-a968-4196e3ed11be"),
                            DisplayName = "CC BY NC SA 4.0 (Attribution-NonCommercial-ShareAlike)",
                            Url = "http://spdx.org/licenses/CC-BY-NC-SA-4.0"
                        },
                        new
                        {
                            Id = new Guid("a439949f-96d2-4dcf-9275-48d78a5ac028"),
                            DisplayName = "GNU General Public License v3.0",
                            Url = "http://spdx.org/licenses/GPL-3.0-only"
                        },
                        new
                        {
                            Id = new Guid("7f2d774d-1eb3-4cec-ab3d-4d7bd299785a"),
                            DisplayName = "MIT License",
                            Url = "http://spdx.org/licenses/MIT"
                        },
                        new
                        {
                            Id = new Guid("0935a00d-0546-4297-b64f-5277bdc944cc"),
                            DisplayName = "Eclipse Public License 1.0",
                            Url = "http://spdx.org/licenses/EPL-1.0"
                        },
                        new
                        {
                            Id = new Guid("5b1ac517-fb6f-416e-9c1a-5cf75fba9f1f"),
                            DisplayName = "CC BY NC ND 4.0 (Attribution-NonCommercial-NoDerivatives)",
                            Url = "http://spdx.org/licenses/CC-BY-NC-ND-4.0"
                        },
                        new
                        {
                            Id = new Guid("0ee2948b-ed07-4ece-9f32-75c06d8c112c"),
                            DisplayName = "GNU General Public License v2.0",
                            Url = "http://spdx.org/licenses/GPL-2.0-only"
                        },
                        new
                        {
                            Id = new Guid("4e7af4f3-fb52-4914-8457-970721fcc09f"),
                            DisplayName = "CC BY SA 4.0 (Attribution-ShareAlike)",
                            Url = "http://spdx.org/licenses/CC-BY-SA-4.0"
                        },
                        new
                        {
                            Id = new Guid("f9eb4f7e-6ba8-4ccd-a08b-a3c8d9c07835"),
                            DisplayName = "BSD 3-clause 'New' or 'Revised' License",
                            Url = "http://spdx.org/licenses/BSD-3-Clause"
                        },
                        new
                        {
                            Id = new Guid("9a98a097-b1b1-4e15-8871-acc9e74ebeb2"),
                            DisplayName = "BSD 2-clause 'Simplified' License",
                            Url = "http://spdx.org/licenses/BSD-2-Clause"
                        },
                        new
                        {
                            Id = new Guid("f6110b01-835e-41fd-942e-d099783adad7"),
                            DisplayName = "Apache License 2.0",
                            Url = "http://spdx.org/licenses/Apache-2.0"
                        },
                        new
                        {
                            Id = new Guid("323da6cc-b9dc-4d2a-b512-f0689262b840"),
                            DisplayName = "GNU Lesser General Public License v3.0",
                            Url = "http://spdx.org/licenses/LGPL-3.0-only"
                        },
                        new
                        {
                            Id = new Guid("74d9911b-398b-4241-90b9-f213ebdee2a9"),
                            DisplayName = "GNU Affero General Public License v3.0",
                            Url = "http://spdx.org/licenses/AGPL-3.0-only"
                        },
                        new
                        {
                            Id = new Guid("1882c0f2-70b0-4a5a-8114-f440e333de9a"),
                            DisplayName = "The Unlicense",
                            Url = "http://spdx.org/licenses/Unlicense"
                        },
                        new
                        {
                            Id = new Guid("b414c963-c5b4-44e7-96d8-f6df55ee2507"),
                            DisplayName = "CC BY ND 4.0 (Attribution-NoDerivatives)",
                            Url = "http://spdx.org/licenses/CC-BY-ND-4.0"
                        },
                        new
                        {
                            Id = new Guid("b974004b-df00-4872-92dc-f93f1448ab98"),
                            DisplayName = "GNU Lesser General Public License v2.1",
                            Url = "http://spdx.org/licenses/LGPL-2.1-only"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.LinkedResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.HasKey("Id");

                    b.ToTable("LinkedResourceType", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Log", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<DateTime?>("ClientTimestamp")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getdate())");

                    b.Property<Guid?>("CorrolationId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("LogLevel")
                        .HasMaxLength(20)
                        .HasColumnType("nvarchar(20)");

                    b.Property<string>("Message")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Server")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<DateTime?>("ServerTimestamp")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getdate())");

                    b.Property<string>("Source")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Stacktrace")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Status")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Uri")
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)")
                        .HasColumnName("URI");

                    b.Property<Guid?>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex(new[] { "UserId", "LogLevel", "ServerTimestamp" }, "log_idx_userid_loglevel_servertime");

                    b.ToTable("Log", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.MetadataExtraction", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<bool>("Activated")
                        .HasColumnType("bit");

                    b.Property<Guid>("ResourceId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("ResourceId");

                    b.ToTable("MetadataExtraction", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Project", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid?>("Creator")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("DateCreated")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getutcdate())");

                    b.Property<bool>("Deleted")
                        .HasColumnType("bit");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("DisplayName")
                        .HasMaxLength(25)
                        .HasColumnType("nvarchar(25)");

                    b.Property<DateTime>("EndDate")
                        .HasColumnType("datetime");

                    b.Property<string>("GrantId")
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<string>("Keywords")
                        .HasMaxLength(1000)
                        .HasColumnType("nvarchar(1000)");

                    b.Property<string>("PrincipleInvestigators")
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<string>("ProjectName")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Slug")
                        .IsRequired()
                        .HasMaxLength(63)
                        .HasColumnType("nvarchar(63)");

                    b.Property<DateTime>("StartDate")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getdate())");

                    b.Property<Guid?>("VisibilityId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("VisibilityId");

                    b.ToTable("Projects");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectDiscipline", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("DisciplineId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("DisciplineId");

                    b.HasIndex("ProjectId");

                    b.ToTable("ProjectDiscipline", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectInstitute", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("OrganizationUrl")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)")
                        .HasDefaultValueSql("(N'https://www.rwth-aachen.de/22000')");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<bool>("Responsible")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.HasKey("RelationId");

                    b.HasIndex("ProjectId");

                    b.ToTable("ProjectInstitute", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectPublicationRequest", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("CreatorId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime>("DateCreated")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getutcdate())");

                    b.Property<string>("Message")
                        .HasColumnType("nvarchar(max)");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("PublicationServiceRorId")
                        .IsRequired()
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("CreatorId");

                    b.HasIndex("ProjectId");

                    b.ToTable("ProjectPublicationRequests");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectQuota", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<int>("MaxQuota")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasDefaultValueSql("(N'0')");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<int>("Quota")
                        .HasColumnType("int");

                    b.Property<Guid>("ResourceTypeId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("ResourceTypeId");

                    b.HasIndex(new[] { "ProjectId", "ResourceTypeId" }, "ProjectIdResourceTypeId")
                        .IsUnique();

                    b.ToTable("ProjectQuotas");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectResource", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ResourceId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("ProjectId");

                    b.HasIndex("ResourceId");

                    b.ToTable("ProjectResource", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectRole", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("RoleId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("ProjectId");

                    b.HasIndex("RoleId");

                    b.HasIndex("UserId");

                    b.ToTable("ProjectRoles");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.RdsResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("AccessKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("BucketName")
                        .IsRequired()
                        .HasMaxLength(63)
                        .HasColumnType("nvarchar(63)");

                    b.Property<string>("Endpoint")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("RDSResourceType", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.RdsS3ResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("AccessKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("AccessKeyRead")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("AccessKeyWrite")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("BucketName")
                        .IsRequired()
                        .HasMaxLength(63)
                        .HasColumnType("nvarchar(63)");

                    b.Property<string>("Endpoint")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKeyRead")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKeyWrite")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("RdsS3ResourceType", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.RdsS3WormResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("AccessKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("AccessKeyRead")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("AccessKeyWrite")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("BucketName")
                        .IsRequired()
                        .HasMaxLength(63)
                        .HasColumnType("nvarchar(63)");

                    b.Property<string>("Endpoint")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKey")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKeyRead")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("SecretKeyWrite")
                        .IsRequired()
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("RdsS3WormResourceType", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Resource", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("ApplicationProfile")
                        .HasMaxLength(500)
                        .HasColumnType("nvarchar(500)");

                    b.Property<string>("Archived")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)")
                        .HasDefaultValueSql("(N'0')");

                    b.Property<Guid?>("Creator")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("DateCreated")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getutcdate())");

                    b.Property<bool>("Deleted")
                        .HasColumnType("bit");

                    b.Property<string>("Description")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("DisplayName")
                        .HasMaxLength(25)
                        .HasColumnType("nvarchar(25)");

                    b.Property<string>("FixedValues")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Keywords")
                        .HasMaxLength(1000)
                        .HasColumnType("nvarchar(1000)");

                    b.Property<Guid?>("LicenseId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<bool>("MaintenanceMode")
                        .HasColumnType("bit");

                    b.Property<bool>("MetadataLocalCopy")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bit")
                        .HasDefaultValue(false);

                    b.Property<string>("ResourceName")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid?>("ResourceTypeOptionId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("TypeId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("UsageRights")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid?>("VisibilityId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("LicenseId");

                    b.HasIndex("TypeId");

                    b.HasIndex("VisibilityId");

                    b.ToTable("Resources");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ResourceDiscipline", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("DisciplineId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ResourceId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("DisciplineId");

                    b.HasIndex("ResourceId");

                    b.ToTable("ResourceDiscipline", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ResourceType", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("SpecificType")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Type")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.HasKey("Id");

                    b.ToTable("ResourceTypes");

                    b.HasData(
                        new
                        {
                            Id = new Guid("a3539377-f7a4-4751-9f7a-08b9de4f0c8d"),
                            DisplayName = "rdss3",
                            SpecificType = "rdss3rwth",
                            Type = "rdss3"
                        },
                        new
                        {
                            Id = new Guid("2629a6f9-2129-432a-9304-123dbbfa7685"),
                            DisplayName = "linked",
                            SpecificType = "linked",
                            Type = "linked"
                        },
                        new
                        {
                            Id = new Guid("bcb34a02-9b01-40b7-bce1-14cb9eb543f5"),
                            DisplayName = "rdss3worm",
                            SpecificType = "rdss3wormrwth",
                            Type = "rdss3worm"
                        },
                        new
                        {
                            Id = new Guid("d0ce723a-edf8-49f8-b2ac-34d7251cf104"),
                            DisplayName = "rds",
                            SpecificType = "rdsrwth",
                            Type = "rds"
                        },
                        new
                        {
                            Id = new Guid("23580290-2d3e-4c12-94e7-7ce1e50ae094"),
                            DisplayName = "rdstudo",
                            SpecificType = "rdstudo",
                            Type = "rds"
                        },
                        new
                        {
                            Id = new Guid("198c9ba4-e6bb-4b76-8c37-16aad43e61e8"),
                            DisplayName = "rdsrub",
                            SpecificType = "rdsrub",
                            Type = "rds"
                        },
                        new
                        {
                            Id = new Guid("649a5035-c798-4136-9b93-974f79b8d548"),
                            DisplayName = "gitlab",
                            SpecificType = "gitlab",
                            Type = "gitlab"
                        },
                        new
                        {
                            Id = new Guid("bc9dec17-a893-4670-bd2c-ae8d736fd4de"),
                            DisplayName = "rdss3nrw",
                            SpecificType = "rdss3nrw",
                            Type = "rdss3"
                        },
                        new
                        {
                            Id = new Guid("8dbc1e2d-432d-4320-b98c-bac41c8af630"),
                            DisplayName = "rdss3ude",
                            SpecificType = "rdss3ude",
                            Type = "rdss3"
                        },
                        new
                        {
                            Id = new Guid("78e6aef3-8450-494d-ab86-d033bb9b015b"),
                            DisplayName = "rdsude",
                            SpecificType = "rdsude",
                            Type = "rds"
                        },
                        new
                        {
                            Id = new Guid("2d9100e3-f4c2-4307-b679-e234e37ffde7"),
                            DisplayName = "rdss3tudo",
                            SpecificType = "rdss3tudo",
                            Type = "rdss3"
                        },
                        new
                        {
                            Id = new Guid("c52d5419-9556-42f5-97b2-860ab359b03f"),
                            DisplayName = "rdss3rub",
                            SpecificType = "rdss3rub",
                            Type = "rdss3"
                        },
                        new
                        {
                            Id = new Guid("a9c0ea37-83c8-4c0b-b159-fccdafed75f0"),
                            DisplayName = "rdsnrw",
                            SpecificType = "rdsnrw",
                            Type = "rds"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Role", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id");

                    b.ToTable("Roles");

                    b.HasData(
                        new
                        {
                            Id = new Guid("be294c5e-4e42-49b3-bec4-4b15f49df9a5"),
                            Description = "Owner of the project.",
                            DisplayName = "Owner"
                        },
                        new
                        {
                            Id = new Guid("508b6d4e-c6ac-4aa5-8a8d-caa31dd39527"),
                            Description = "Member of the project.",
                            DisplayName = "Member"
                        },
                        new
                        {
                            Id = new Guid("9184a442-4419-4e30-9fe6-0cfe32c9a81f"),
                            Description = "Guest of the project.",
                            DisplayName = "Guest"
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.SubProject", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("ProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("SubProjectId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("ProjectId");

                    b.HasIndex("SubProjectId");

                    b.ToTable("SubProjects");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Title", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id");

                    b.ToTable("Titles");

                    b.HasData(
                        new
                        {
                            Id = new Guid("98d96229-4a1b-4844-9ec2-925b6a33a696"),
                            DisplayName = "Dr."
                        },
                        new
                        {
                            Id = new Guid("f47098e0-3cc6-4f53-bbcd-d9ab48eb8899"),
                            DisplayName = "Prof."
                        });
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Tosaccepted", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<string>("Version")
                        .IsRequired()
                        .HasMaxLength(10)
                        .HasColumnType("nvarchar(10)");

                    b.HasKey("RelationId");

                    b.HasIndex("UserId");

                    b.ToTable("TOSAccepted", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.User", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<DateTime?>("DeletedAt")
                        .HasColumnType("datetime2");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(255)
                        .HasColumnType("nvarchar(255)");

                    b.Property<string>("EmailAddress")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Entitlement")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Givenname")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid?>("LanguageId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<DateTime?>("LatestActivity")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("datetime")
                        .HasDefaultValueSql("(getutcdate())");

                    b.Property<string>("Organization")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<string>("Surname")
                        .HasMaxLength(200)
                        .HasColumnType("nvarchar(200)");

                    b.Property<Guid?>("TitleId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("Id");

                    b.HasIndex("LanguageId");

                    b.HasIndex("TitleId");

                    b.ToTable("Users");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.UserDiscipline", b =>
                {
                    b.Property<Guid>("RelationId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<Guid>("DisciplineId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("UserId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("RelationId");

                    b.HasIndex("DisciplineId");

                    b.HasIndex("UserId");

                    b.ToTable("UserDisciplines");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.VersionInfo", b =>
                {
                    b.Property<DateTime?>("AppliedOn")
                        .HasColumnType("datetime");

                    b.Property<string>("Description")
                        .HasMaxLength(1024)
                        .HasColumnType("nvarchar(1024)");

                    b.Property<long>("Version")
                        .HasColumnType("bigint");

                    b.HasIndex(new[] { "Version" }, "UC_Version")
                        .IsUnique();

                    SqlServerIndexBuilderExtensions.IsClustered(b.HasIndex(new[] { "Version" }, "UC_Version"));

                    b.ToTable("VersionInfo", (string)null);
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Visibility", b =>
                {
                    b.Property<Guid>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("uniqueidentifier")
                        .HasDefaultValueSql("(newid())");

                    b.Property<string>("DisplayName")
                        .IsRequired()
                        .HasMaxLength(50)
                        .HasColumnType("nvarchar(50)");

                    b.HasKey("Id");

                    b.ToTable("Visibilities");

                    b.HasData(
                        new
                        {
                            Id = new Guid("8ab9c883-eb0d-4402-aaad-2e4007badce6"),
                            DisplayName = "Project Members"
                        },
                        new
                        {
                            Id = new Guid("451788b0-aaa1-4419-999d-77a7fa25a080"),
                            DisplayName = "Public"
                        });
                });

            modelBuilder.Entity("Microsoft.AspNetCore.DataProtection.EntityFrameworkCore.DataProtectionKey", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    SqlServerPropertyBuilderExtensions.UseIdentityColumn(b.Property<int>("Id"));

                    b.Property<string>("FriendlyName")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Xml")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("DataProtectionKeys");
                });

            modelBuilder.Entity("ProjectPublicationRequestResource", b =>
                {
                    b.Property<Guid>("PublicationRequestsId")
                        .HasColumnType("uniqueidentifier");

                    b.Property<Guid>("ResourcesId")
                        .HasColumnType("uniqueidentifier");

                    b.HasKey("PublicationRequestsId", "ResourcesId");

                    b.HasIndex("ResourcesId");

                    b.ToTable("ProjectPublicationRequestResource");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ActivatedFeature", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Feature", "Feature")
                        .WithMany("ActivatedFeatures")
                        .HasForeignKey("FeatureId")
                        .IsRequired()
                        .HasConstraintName("FK_ActivatedFeatures_FeatureId_Features_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ActivatedFeatures")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ActivatedFeatures_ProjectId_Projects_Id");

                    b.Navigation("Feature");

                    b.Navigation("Project");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ActivityLog", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("ActivityLogs")
                        .HasForeignKey("UserId")
                        .IsRequired();

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ApiToken", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("ApiTokens")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_ApiTokens_UserId_Users_Id");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ContactChange", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("ContactChanges")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_ContactChange_UserId_Users_Id");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ExternalId", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.ExternalAuthenticator", "ExternalAuthenticator")
                        .WithMany("ExternalIds")
                        .HasForeignKey("ExternalAuthenticatorId")
                        .IsRequired()
                        .HasConstraintName("FK_ExternalIds_ResourceTypeId_ExternalAuthenticators_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("ExternalIds")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_ExternalIds_UserId_Users_Id");

                    b.Navigation("ExternalAuthenticator");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.GroupMembership", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Group", "Group")
                        .WithMany("GroupMemberships")
                        .HasForeignKey("GroupId")
                        .IsRequired()
                        .HasConstraintName("FK_GroupMemberships_GroupId_Groups_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("GroupMemberships")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_GroupMemberships_UserId_Users_Id");

                    b.Navigation("Group");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Invitation", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "IssuerNavigation")
                        .WithMany("Invitations")
                        .HasForeignKey("Issuer")
                        .IsRequired()
                        .HasConstraintName("FK_Invitations_Issuer_Users_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "ProjectNavigation")
                        .WithMany("Invitations")
                        .HasForeignKey("Project")
                        .IsRequired()
                        .HasConstraintName("FK_Invitations_Project_Projects_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Role", "RoleNavigation")
                        .WithMany("Invitations")
                        .HasForeignKey("Role")
                        .IsRequired()
                        .HasConstraintName("FK_Invitations_Role_Roles_Id");

                    b.Navigation("IssuerNavigation");

                    b.Navigation("ProjectNavigation");

                    b.Navigation("RoleNavigation");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.MetadataExtraction", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Resource", "Resource")
                        .WithMany("MetadataExtractions")
                        .HasForeignKey("ResourceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("FK_MetadataExtraction_ResourceId_Resources_Id");

                    b.Navigation("Resource");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Project", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Visibility", "Visibility")
                        .WithMany("Projects")
                        .HasForeignKey("VisibilityId")
                        .HasConstraintName("FK_Projects_VisibilityId_Visibilities_Id");

                    b.Navigation("Visibility");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectDiscipline", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Discipline", "Discipline")
                        .WithMany("ProjectDisciplines")
                        .HasForeignKey("DisciplineId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectDiscipline_DisciplineId_Disciplines_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ProjectDisciplines")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectDiscipline_ProjectId_Projects_Id");

                    b.Navigation("Discipline");

                    b.Navigation("Project");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectInstitute", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ProjectInstitutes")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectInstitute_ProjectId_Projects_Id");

                    b.Navigation("Project");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectPublicationRequest", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "Creator")
                        .WithMany("PublicationRequests")
                        .HasForeignKey("CreatorId")
                        .IsRequired();

                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("PublicationRequests")
                        .HasForeignKey("ProjectId")
                        .IsRequired();

                    b.Navigation("Creator");

                    b.Navigation("Project");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectQuota", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ProjectQuota")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectQuotas_ProjectId_Projects_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.ResourceType", "ResourceType")
                        .WithMany("ProjectQuota")
                        .HasForeignKey("ResourceTypeId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectQuotas_ResourceTypeId_ResourceTypes_Id");

                    b.Navigation("Project");

                    b.Navigation("ResourceType");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectResource", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ProjectResources")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectResource_ProjectId_Projects_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Resource", "Resource")
                        .WithMany("ProjectResources")
                        .HasForeignKey("ResourceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("FK_ProjectResource_ResourceId_Resources_Id");

                    b.Navigation("Project");

                    b.Navigation("Resource");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ProjectRole", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("ProjectRoles")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectRoles_ProjectId_Projects_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Role", "Role")
                        .WithMany("ProjectRoles")
                        .HasForeignKey("RoleId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectRoles_RoleId_Roles_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("ProjectRoles")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_ProjectRoles_UserId_Users_Id");

                    b.Navigation("Project");

                    b.Navigation("Role");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Resource", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.License", "License")
                        .WithMany("Resources")
                        .HasForeignKey("LicenseId")
                        .HasConstraintName("FK_Resources_LicenseId_Licenses_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.ResourceType", "Type")
                        .WithMany("Resources")
                        .HasForeignKey("TypeId")
                        .IsRequired()
                        .HasConstraintName("FK_Resources_TypeId_ResourceTypes_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Visibility", "Visibility")
                        .WithMany("Resources")
                        .HasForeignKey("VisibilityId")
                        .HasConstraintName("FK_Resources_VisibilityId_Visibilities_Id");

                    b.Navigation("License");

                    b.Navigation("Type");

                    b.Navigation("Visibility");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ResourceDiscipline", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Discipline", "Discipline")
                        .WithMany("ResourceDisciplines")
                        .HasForeignKey("DisciplineId")
                        .IsRequired()
                        .HasConstraintName("FK_ResourceDiscipline_DisciplineId_Disciplines_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Resource", "Resource")
                        .WithMany("ResourceDisciplines")
                        .HasForeignKey("ResourceId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired()
                        .HasConstraintName("FK_ResourceDiscipline_ResourceId_Resources_Id");

                    b.Navigation("Discipline");

                    b.Navigation("Resource");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.SubProject", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "Project")
                        .WithMany("SubProjectProjects")
                        .HasForeignKey("ProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_SubProjects_ProjectId_Projects_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Project", "SubProjectNavigation")
                        .WithMany("SubProjectSubProjectNavigations")
                        .HasForeignKey("SubProjectId")
                        .IsRequired()
                        .HasConstraintName("FK_SubProjects_SubProjectId_Projects_Id");

                    b.Navigation("Project");

                    b.Navigation("SubProjectNavigation");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Tosaccepted", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("Tosaccepteds")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_TOSAccepted_UserId_Users_Id");

                    b.Navigation("User");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.User", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Language", "Language")
                        .WithMany("Users")
                        .HasForeignKey("LanguageId")
                        .HasConstraintName("FK_Users_LanguageId_Languages_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.Title", "Title")
                        .WithMany("Users")
                        .HasForeignKey("TitleId")
                        .HasConstraintName("FK_Users_TitleId_Titles_Id");

                    b.Navigation("Language");

                    b.Navigation("Title");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.UserDiscipline", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.Discipline", "Discipline")
                        .WithMany("UserDisciplines")
                        .HasForeignKey("DisciplineId")
                        .IsRequired()
                        .HasConstraintName("FK_UserDisciplines_DisciplineId_Disciplines_Id");

                    b.HasOne("Coscine.Api.Core.Entities.Models.User", "User")
                        .WithMany("UserDisciplines")
                        .HasForeignKey("UserId")
                        .IsRequired()
                        .HasConstraintName("FK_UserDisciplines_UserId_Users_Id");

                    b.Navigation("Discipline");

                    b.Navigation("User");
                });

            modelBuilder.Entity("ProjectPublicationRequestResource", b =>
                {
                    b.HasOne("Coscine.Api.Core.Entities.Models.ProjectPublicationRequest", null)
                        .WithMany()
                        .HasForeignKey("PublicationRequestsId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("Coscine.Api.Core.Entities.Models.Resource", null)
                        .WithMany()
                        .HasForeignKey("ResourcesId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Discipline", b =>
                {
                    b.Navigation("ProjectDisciplines");

                    b.Navigation("ResourceDisciplines");

                    b.Navigation("UserDisciplines");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ExternalAuthenticator", b =>
                {
                    b.Navigation("ExternalIds");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Feature", b =>
                {
                    b.Navigation("ActivatedFeatures");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Group", b =>
                {
                    b.Navigation("GroupMemberships");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Language", b =>
                {
                    b.Navigation("Users");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.License", b =>
                {
                    b.Navigation("Resources");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Project", b =>
                {
                    b.Navigation("ActivatedFeatures");

                    b.Navigation("Invitations");

                    b.Navigation("ProjectDisciplines");

                    b.Navigation("ProjectInstitutes");

                    b.Navigation("ProjectQuota");

                    b.Navigation("ProjectResources");

                    b.Navigation("ProjectRoles");

                    b.Navigation("PublicationRequests");

                    b.Navigation("SubProjectProjects");

                    b.Navigation("SubProjectSubProjectNavigations");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Resource", b =>
                {
                    b.Navigation("MetadataExtractions");

                    b.Navigation("ProjectResources");

                    b.Navigation("ResourceDisciplines");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.ResourceType", b =>
                {
                    b.Navigation("ProjectQuota");

                    b.Navigation("Resources");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Role", b =>
                {
                    b.Navigation("Invitations");

                    b.Navigation("ProjectRoles");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Title", b =>
                {
                    b.Navigation("Users");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.User", b =>
                {
                    b.Navigation("ActivityLogs");

                    b.Navigation("ApiTokens");

                    b.Navigation("ContactChanges");

                    b.Navigation("ExternalIds");

                    b.Navigation("GroupMemberships");

                    b.Navigation("Invitations");

                    b.Navigation("ProjectRoles");

                    b.Navigation("PublicationRequests");

                    b.Navigation("Tosaccepteds");

                    b.Navigation("UserDisciplines");
                });

            modelBuilder.Entity("Coscine.Api.Core.Entities.Models.Visibility", b =>
                {
                    b.Navigation("Projects");

                    b.Navigation("Resources");
                });
#pragma warning restore 612, 618
        }
    }
}
